Description

I am using Redmine Version 3.3.3, but the described problem is also present in version 3.4. I do not possess a higer version

currently.

The following problem occurs:

I have a folder "folderA". Its Last Changed Date is 01.11.2024 15:55.

Now I add file "fileA.txt". Its Last Changed Date is 01.11.2024 15:58.

All fine. The file gets added and the folder's last changed date is now 01.11.2024 15:58 as well.

I add file "fileB.txt". Its Last Changed Date is 01.11.2024 15:59.

folderA's last changed date is now 01.11.2024 15:59.

Now I upload an updated version of fileA.txt.

fileA.txt's last changed date adjusts to 01.11.2024 16:01.

But folderA's last changed date stays 01.11.2024 15:59. It does not update allthough it's content technically changed.

Can you make it possible (settings (ON/OFF)) that a folder also gets updated when a new file version was uploaded? This would be

very helpful when one wants to sort by changed date of folders in order to always open the latest updated folder.

History

#1 - 2024-11-01 18:55 - Holger Just

- Status changed from New to Needs feedback

Redmine doesn't have the concept of folders for uploaded files. Are you using a plugin perhaps? If so, please contact the authors of the plugin as we

can only help you with core Redmine issues here.

Also note that both Redmine 3.3 and 3.4 are severely outdated and will not receive any updates anymore. As they also have a number of known

security issues now, you should consider updating your Redmine to a supported version.

#2 - 2024-11-01 20:38 - Maik Rohde

Okay, thank you for the quick answer. I'll take care for umgrades and check which plugin provides the folders.

#3 - 2024-11-04 02:35 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid
